package com.zjty.inspect.service;

import com.zjty.inspect.entity.Evaluation;
import org.springframework.data.domain.Page;

import java.util.Map;

public interface EvaluationService {

    Evaluation save(Evaluation evaluation);
    void update(Evaluation evaluation);
    void delete(String id);
    Page<Evaluation> findSearch(Map<String,String> searchMap, int page, int size);
    Evaluation findById(String id);
    Evaluation findByName(String name);
}
